nfields=1
if [ ${CO2_CMODE} == true ] ; then
    nfields=$((nfields+1))
fi
if [ ${CO2_EMODE} == true ] ; then
    nfields=$((nfields+4))
fi
cat << EOF
# =================================================================================================
# General OASIS configuration
# =================================================================================================
 \$NFIELDS
    ${nfields}
 \$END
# -------------------------------------------------------------------------------------------------
 \$RUNTIME
    ${leg_length_sec}
 \$END
# -------------------------------------------------------------------------------------------------
 \$NLOGPRT
   30 0
 \$END
# -------------------------------------------------------------------------------------------------
 \$STRINGS
# =================================================================================================
# Fields send from AMIP to IFS
# =================================================================================================
# --- AMIP forcing data --- [ifs amip]
  AMIP_sst:AMIP_sic A_SST:A_Ice_frac 1 86400 1 rstas.nc EXPOUT
  AMIP L${ifs_grid} LAG=0
  P  0  P  0
  SCRIPR
  GAUSWGT LR SCALAR LATITUDE 1 9 2.0
EOF
if [ ${CO2_CMODE} == true ] ; then
cat << EOF

  CO2BOX_CO2_cconc:CO2BOX_CO2_econc A_CO2_cconc:A_CO2_econc 1 86400 1 rstas.nc EXPOUT
  GLOBAL GLOBAL LAG=0
  P  0  P  0
  LOCTRANS
   AVERAGE

EOF
fi
if [ ${CO2_EMODE} == true ] ; then
cat << EOF

  CO2BOX_CO2_emis A_CO2_emis 1 86400 1 rstas.nc EXPOUT
  ${grid_co2_emis} B${ifs_grid} LAG=0
  P  0  P  0
  SCRIPR CONSERV
  GAUSWGT LR SCALAR LATITUDE 1 9 2.0

  CO2BOX_CO2_veg A_CO2_veg 1 86400 1 rstas.nc EXPOUT
  ${grid_co2_veg} R${ifs_grid} LAG=0
  P  0  P  0
  SCRIPR CONSERV
  GAUSWGT LR SCALAR LATITUDE 1 9 2.0

  CO2BOX_CO2_fire A_CO2_fire 1 86400 1 rstas.nc EXPOUT
  ${grid_co2_fire} R${ifs_grid} LAG=0
  P  0  P  0
  SCRIPR CONSERV
  GAUSWGT LR SCALAR LATITUDE 1 9 2.0

  CO2BOX_CO2_oce A_CO2_oce 1 86400 1 rstas.nc EXPOUT
  ${grid_co2_oce} A${ifs_grid} LAG=0
  P  0  P  0
  SCRIPR CONSERV
  GAUSWGT LR SCALAR LATITUDE 1 9 2.0

EOF
fi
cat << EOF
# -------------------------------------------------------------------------------------------------
 \$END
# =================================================================================================
EOF
